Subject: Non-member submission from ["Chapman, Ken" <[email-masked]>]]

From: ted brunner <[email-masked]>
Date: Thu, 16 Dec 1999 11:17:44 -0800

-------- Original Message --------

From: "Chapman, Ken" <[email-masked]>
To: "C. M. Heard/VVNET, Inc." <[email-masked]>,
        "Hanson,Gary"
	 <[email-masked]>
Cc: [email-masked], [email-masked]
Subject: RE: Last Call: The Interfaces Group MIB to Draft Standard
Date: Wed, 15 Dec 1999 08:39:15 -0500
MIME-Version: 1.0
X-Mailer: Internet Mail Service (5.0.1461.28)
Content-Type: text/plain;
	charset="windows-1252"

For what it's worth, I agree with Mike.
	Ken

+++++++++++++++++++++++++++++++++++++++++++++++
Ken Chapman           Unisphere Solutions, Inc.
Tel: +1-978-614-5322  5 Carlisle Drive
Fax: +1-978-692-9992  Westford, MA 01886
Email: [email-masked]
+++++++++++++++++++++++++++++++++++++++++++++++

-----Original Message-----
From: C. M. Heard/VVNET, Inc. [mailto:[email-masked]]
Sent: Tuesday, December 14, 1999 9:01 PM
To: Hanson,Gary
Cc: [email-masked]; [email-masked]
Subject: Re: Last Call: The Interfaces Group MIB to Draft Standard

On Tue, 14 Dec 1999, Hanson,Gary wrote:
>
> [ ... ] I am not sure that there is a whole lot to be gained from
> removing the ifCounterDiscontinuityGroup from the MANDATORY-GROUPS
> list of ifCompliance3.  I agree with Keith's assessment that the
> object can simply be reported as zero for interfaces that have no
> counters (we have done so in our agents with little grief), and that
> defining it as mandatory in the way he did was an expedient way to
> encourage implementation (even if there had been a more logical way
> to encourage it for ONLY those interfaces that really needed it,
> such as what you presented below).

Gary,

I agree that the burden on the implementation is small.  Once I've
written the class to implement ifCounterDiscontinuityTime it costs
me one line of source code and about 40 bytes of memory per interface
to instantiate it.  Still, that is pure dead weight for interfaces
that don't need the object.  The only thing it that leaving it the
MANDATORY-GROUPS buys us is to make the MIB module a few lines shorter.
I made the suggestion to change it now since we probably will not have
another opportunity to do so.

Regards,

Mike
--
C. M. Heard/VVNET, Inc.
[email-masked]